PGPAINLESS-CLI-CHANGE-KEY-PASSWORD(1)

NAME
pgpainless-cli-change-key-password - Update the password of a key

SYNOPSIS

pgpainless-cli change-key-password [--[no-]armor] [--stacktrace] [--new-key-password [=PASSWORD]] [--old-key-password=PASSWORD]...

DESCRIPTION

Unlock all secret keys from STDIN using the given old passwords and emit them re-locked using the new password to STDOUT. If any (sub-) key cannot be unlocked, this operation will exit with error code 67.

OPTIONS

--new-key-password[=PASSWORD]
    New password to lock the keys with.

    If no new password is passed in, the keys will be emitted unlocked.

    Is an INDIRECT data type (e.g. file, environment variable, file descriptor...).

--[no-]armor
    ASCII armor the output

--old-key-password=PASSWORD
    Old passwords to unlock the keys with.

    Multiple passwords can be passed in, which are tested sequentially to unlock locked subkeys.

    Is an INDIRECT data type (e.g. file, environment variable, file descriptor...).

--stacktrace
    Print stacktrace